{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.edition-musique {

environment.systemPackages = with pkgs; [
    #
    audacity      # montage audio
    easytag       # gestion des métadonnées des fichiers musicaux
    picard        # gestion des métadonnées des fichiers musicaux
  ];
}
