{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.auto-upgrade {
  # Automatic update & automatic clean

  system.autoUpgrade.enable = true;
  nix.gc.automatic = true;
}
