{ config, pkgs, ... }:

let
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
  mkIf = pkgs.lib.mkIf;
in

{
  # Pulse Audio
  hardware.pulseaudio = mkIf profiles.isDesktop {
    enable = true;
    support32Bit = true;
  };
  environment.etc."pulse/daemon.conf".text = "flat-volumes = no";
}
